"use client"
import DashboardWrapper from "@/components/wrapper/dashboardWrapper";
import AuthGuard from "@/hoc/authGuard/authGuard";

interface RootLayoutProps {
  children: React.ReactNode;
}

function RootLayout(props: RootLayoutProps): JSX.Element {
  const { children } = props;
  return <DashboardWrapper>{children}</DashboardWrapper>;
}

export default AuthGuard(RootLayout);